# SmartCar Robot Core Library

[![arduino-library-badge](https://www.ardu-badge.com/badge/MD_SmartCar.svg?)](https://www.ardu-badge.com/MD_SmartCar)

This library is designed to provide core mobility functions for an autonomous 2 wheeled Smart Car Robot. The library provides the code infrastructure that allows the car to travel in a controlled manner, on top of which specific applications can confidently be built.

This library is designed around a commonly obtainable 2 wheel drive (plus idler castor wheel) vehicle chassis found on online marketplaces. It is also suitable for more capable similar platforms with little or no modification.

[Library Documentation](https://majicdesigns.github.io/MD_SmartCar/)

If you like and use this library please consider making a small donation using [PayPal](https://paypal.me/MajicDesigns/4USD)

## Blog Articles about this software/hardware
[Hardware Considerations](https://arduinoplusplus.wordpress.com/2021/05/06/basic-smartcar-bot-1/)

[Sensors](https://arduinoplusplus.wordpress.com/2021/05/20/basic-smartcar-bot-2/)

[Control using the Library](https://arduinoplusplus.wordpress.com/2021/06/10/basic-smartcar-bot-3/)

[Configuring the Library](https://arduinoplusplus.wordpress.com/2021/06/24/basic-smartcar-bot-part-4/)

[Implementing a Roving Bot](https://arduinoplusplus.wordpress.com/2021/07/15/basic-smartcar-bot-random-rover/)
