# MD_Parola Examples

If you like and use this library please consider making a small donation using [PayPal](https://paypal.me/MajicDesigns/4USD)

[Library Documentation](https://majicdesigns.github.io/MD_Parola/)

<hr>

**MD_SmartCar_Minimal**  
Minimal MD_SmartCar implementation. 
Stop for short while, drive in a circle for short while, repeat.
<hr>

**MD_SmartCar_JoyStick**  
Test the SmartCar control using a PS2 Joystick module and an on board
1602 LCD module with I2C backpack on board.
<hr>

**MD_SmartCar_MotorTest**  
Used to test and set up the DC motors and encoders.
- Encoder feedback
- Rotation direction
- Maximum encoder feedback rate (Pulses per second)

The application is controlled from the Serial interface.
Set the Serial Monitor to 57600 and ensure line ending is 
'newline'
<hr>

**MD_SmartCar_Calibrate**  
Use to calibrate and test functions of the vehicle
- Test and set PID parameters
- Test Unicycle control model
- Set, test and save EEPROM application parameters
- Test Sonar/Ping sensors (optional, see USE_SONAR #define)

The application is controlled from the Serial interface.
Set the Serial Monitor to 57600 and ensure line ending is 
'newline'
<hr>

**MD_SmartCar_Setup_Control**  
Test MD_SmartCar class through a Bluetooth interfaced to 
an AI2 control application using a HC-05 BT module that 
has been pre-initialized and paired to the controller.

All Vehicle motion types can be exercised and parameters 
fine tuned and saved to EEPROM from the AI2 
'SmartCar_Setup_Control' interface application.

This tests 'real-world' vehicle response motion after the 
vehicle parameters have been calibrated. SmartCar_HW.h contains 
all the application specific hardware connection pin definitions.

The companion MIT App Inventor (AI2) application is used to 
control the Arduino application. The app is included in the 
AI2 folder and AI2 can be found at http://ai2.appinventor.mit.edu/
<hr>

**MD_SmartCar_Rover**  
This is an example of behaviors built on top of the library 
infrastructure. High level control of the robotic vehicle is 
modeled with 'Behavior Based Robotics' principles.

The sketch allows supervisory control of an autonomous 
MD_SmartCar vehicle using a Bluetooth interface implemented 
with a HC-05 module that has been pre-initialized and paired 
to the controller. SmartCar_HW.h contains all the application 
specific hardware I/O pin definitions.

All vehicle behavior types can be exercised and monitored 
from the AI2 'SmartCar_Rover_Control' interface application.

The companion MIT App Inventor (AI2) application is used to 
control the Arduino application. The app is included in the 
AI2 folder and AI2 can be found at http://ai2.appinventor.mit.edu/
<hr>

